{{ define "main" }}

{{ $bg_image_fallback := "images/background/unsplash-SuATc8TPrMQ-edited-2048w" -}}
{{ if not (eq .CurrentSection.File.ContentBaseName "cantons") -}}
  {{ $bg_image_fallback = (print "images/cantons/flag_" .CurrentSection.File.ContentBaseName ".svg") }}
{{- end }}
{{ $bg_img := .Params.bg_image | default $bg_image_fallback -}}
<section class="page-title bg-2" style="{{ partial "bg-img.html" $bg_img | safeCSS }}">
  <div class="container">
    <div class="row">
      <div class="col-md-12">
        <div class="block">
          {{ $base_name := .CurrentSection.File.ContentBaseName -}}
          {{ if eq (len $base_name) 2 -}}
            <h1>{{ .Title | default (print (i18n "cantons_profiles") " " (i18n "canton_from") " " (print "canton_" $base_name | i18n)) }}</h1>
          {{- else -}}
            <h1>{{ .Title }}</h1>
          {{- end }}
        </div>
      </div>
    </div>
  </div>
</section>

<section class="section cantons">
  <div class="container">
    <div class="row">
      <div class="col-md-3"></div>
      <div class="col-md-6">
        {{ .Content }}
      </div>
    </div>
    <div class="row">
    {{ $is_cantons_section := eq .CurrentSection.File.ContentBaseName .Section -}}
    {{ if $is_cantons_section -}}
      <div class="col-md-12 emblems-canton">
      {{ range .Pages -}}
        {{ $canton_short := .File.ContentBaseName -}}
        {{ $canton_name := print "canton_" $canton_short | i18n -}}
        {{ $subpages := .RegularPages -}}
        {{ $last_subpage := index $subpages (sub (len $subpages) 1) -}}
        {{ with $last_subpage -}}
        <a href="{{ .Permalink }}" class="emblem-canton">
          <img src={{ $canton_short | printf "/images/cantons/emblem_%s.svg" }} title={{ $canton_name }}>
          <p>{{ $canton_name }}</p>
        </a>
        {{- end }}
      {{- end }}
      </div>
    {{ else -}}
      <div class="col-md-12 canton-years">
      {{ range .Pages -}}
        <a href="{{ .Permalink }}" class="btn-main canton-year">{{ .File.ContentBaseName }}</a>
      {{- end }}
      </div>
    {{- end }}
    </div>
  </div>
</section>

{{ end }}
